Up

# NSCachedImageRep

### Authors

Adam Fedor (`fedor@gnu.org`)

> Cached image representation.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSCachedImageRep class

## NSCachedImageRep : NSImageRep

> Declared in:
>   AppKit/NSCachedImageRep.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -initWithSize:depth:separate:alpha:
- -initWithWindow:rect:
- -rect
- -window

### initWithSize:depth:separate:alpha:

- (id) initWithSize: (NSSize)aSize depth: (NSWindowDepth)aDepth separate: (BOOL)separate alpha: (BOOL)alpha;

Description forthcoming.

### initWithWindow:rect:

- (id) initWithWindow: (NSWindow*)aWindow rect: (NSRect)aRect;

Description forthcoming.

### rect

- (NSRect) rect;

Description forthcoming.

### window

- (NSWindow*) window;

Description forthcoming.

Up